MWAWDocumentInternal Namespace Reference documentation

Functions
MWAWDocumentInternal Namespace Reference

small namespace use to define private class/method used by MWAWDocument More...

## Functions
std::shared_ptr< MWAWGraphicParser > | getGraphicParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
std::shared_ptr< MWAWPresentationParser > | getPresentationParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
std::shared_ptr< MWAWSpreadsheetParser > | getSpreadsheetParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an spreadsheet header.
std::shared_ptr< MWAWTextParser > | getTextParserFromHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| Factory wrapper to construct a parser corresponding to an text header.
MWAWHeader * | getHeader (MWAWInputStreamPtr &ip, MWAWRSRCParserPtr const &rsrcParser, bool strict)
| return the header corresponding to an input.
bool | checkBasicMacHeader (MWAWInputStreamPtr &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader &header, bool strict)
| Wrapper to check a basic header of a mac file.

## Detailed Description

small namespace use to define private class/method used by MWAWDocument

## Function Documentation

## ◆ checkBasicMacHeader()

bool MWAWDocumentInternal::checkBasicMacHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader & | header,
|  | bool | strict )

Wrapper to check a basic header of a mac file.

Referenced by getHeader().

## ◆ getGraphicParserFromHeader()

std::shared_ptr< MWAWGraphicParser > MWAWDocumentInternal::getGraphicParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

## ◆ getHeader()

MWAWHeader * MWAWDocumentInternal::getHeader | ( | MWAWInputStreamPtr & | ip,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | bool | strict )

return the header corresponding to an input.

Or 0L if no input are found

avoid very short file

avoid very short file

Referenced by MWAWDocument::isFileFormatSupported(), MWAWDocument::parse(), MWAWDocument::parse(), MWAWDocument::parse(), and MWAWDocument::parse().

## ◆ getPresentationParserFromHeader()

std::shared_ptr< MWAWPresentationParser > MWAWDocumentInternal::getPresentationParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

## ◆ getSpreadsheetParserFromHeader()

std::shared_ptr< MWAWSpreadsheetParser > MWAWDocumentInternal::getSpreadsheetParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

Factory wrapper to construct a parser corresponding to an spreadsheet header.

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().

## ◆ getTextParserFromHeader()

std::shared_ptr< MWAWTextParser > MWAWDocumentInternal::getTextParserFromHeader | ( | MWAWInputStreamPtr & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

Factory wrapper to construct a parser corresponding to an text header.

Referenced by checkBasicMacHeader(), and MWAWDocument::parse().